﻿© 2003 Fluke Corporation. All Rights Reserved.              MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 3245A ACV Sinewave Vpp VER IEEE /8508
INSTRUMENT:            Sub HP 3245A ACV Offset Accuracy VER IEEE /8508
INSTRUMENT:            Sub HP 3245A ACV Squarewave Vrms VER IEEE /8508
INSTRUMENT:            Sub HP 3245A ACV Sinewave Flat VER IEEE /8508
DATE:                  06-Oct-2003
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       63
NUMBER OF LINES:       625
CONFIGURATION:         Fluke 8508A
=============================================================================
#
#  Author:
#        DFM
#
# Compatibility:
#        MET/CAL 7.01 or later
#
# Subprocedures:
#        None
#
# Required Files:
#        None
#
# Registers Used:
#
#  Local:
#     Sub HP 3245A ACV Sinewave Vpp VER IEEE /8508
#        L[1] = 8508A accuracy information (using ACCV2)
#        L[2] = Computed UUT accuracy
#
#     Sub HP 3245A ACV Offset Accuracy VER IEEE /8508
#        L[3] = Computed UUT accuracy
#
#     Sub HP 3245A ACV Squarewave Vrms VER IEEE /8508
#        L[1] = Computed UUT accuracy
#
#     Sub HP 3245A ACV Sinewave Flat VER IEEE /8508
#        L[1] = Computed UUT dBm from Vrms value
#        L[2] = 8508A accuracy information (using ACCV2) at reference freq.
#        L[3] = 8508A accuracy confidence information
#        L[4] = 8508A accuracy information (using ACCV2) at test frequency
#        L[5] = 8508A expanded uncertainty at reference/test frequency
#
#  Global:
#        None
#
#  String:
#        S[6] = UUT channel under test ("A" or "B") designator
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  JMPL         ACV_SINE_VOLTS               PSUBI("Sinewave Vpp")
  1.002  JMPL         ACV_OFFSET                   PSUBI("Offset")
  1.003  JMPL         ACV_SINE_FLAT                PSUBI("Sinewave Flat")
  1.004  JMPL         ACV_SQUARE_VOLTS             PSUBI("Squarewave")
  1.005  DISP         Called subprocedure not found!
  1.006  END

  1.007  LABEL        ACV_SINE_VOLTS
  1.008  RSLT         =
  1.009  RSLT         =Channel [S6]
  1.010  RSLT         =
  1.011  RSLT         = 0.15625 V Range
  1.012  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 156.25 mVpp
  1.013  IEEE         IMP 50
  1.014  TARGET       -p
  1.015  IEEE         RANGE .15625;APPLY ACV .15625
  1.016  TARGET       -m
  1.017  8508         0.11047V                     1kH                  N  2W
# Retrieve 8508A Vrms accuracy from accuracy file.
  1.018  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
# Convert 8508A Vrms accuracy to Vpp.
  1.019  MATH         L[1] = (L[1] * SQRT(2)) / 1E-3
# Use computed 8508A Vpp uncertainty in ACC FSC.
  1.020  ACC          156.25mVpp     L1U
# Compute UUT (into high Z) tolerance ±[(% of reading) + (% of range)/SQRT(2)]
  1.021  MATH         L[2] = ((156.25 * 0.0035) + (156.25 * 0.0037)) / SQRT(2)
  1.022  MATH         MEM = (MEM * SQRT(2)) / 1E-3
  1.023  MEMCX  200   156.25mVpp     L2U           1kH

  2.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 117.19 mVpp
  2.002  IEEE         APPLY ACV .11719
  2.003  TARGET       -m
  2.004  8508         0.08285V                     1kH                  N  2W
  2.005  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
  2.006  MATH         L[1] = (L[1] * SQRT(2)) / 1E-3
  2.007  ACC          117.19mVpp     L1U
  2.008  MATH         L[2] = ((117.19 * 0.0035) + (156.25 * 0.0037)) / SQRT(2)
  2.009  MATH         MEM = (MEM * SQRT(2)) / 1E-3
  2.010  MEMCX  200   117.19mVpp     L2U           1kH

  3.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 78.13 mVpp
  3.002  IEEE         APPLY ACV .07813
  3.003  TARGET       -m
  3.004  8508         0.05523V                     1kH                  N  2W
  3.005  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
  3.006  MATH         L[1] = (L[1] * SQRT(2)) / 1E-3
  3.007  ACC          78.13mVpp      L1U
  3.008  MATH         L[2] = ((78.13 * 0.0035) + (156.25 * 0.0037)) / SQRT(2)
  3.009  MATH         MEM = (MEM * SQRT(2)) / 1E-3
  3.010  MEMCX  200   78.13mVpp      L2U           1kH

  4.001  RSLT         =
  4.002  RSLT         = 0.3125 V Range
  4.003  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 0.3125 Vpp
  4.004  TARGET       -p
  4.005  IEEE         RANGE .3125;APPLY ACV .3125
  4.006  TARGET       -m
  4.007  8508         0.22094V                     1kH                  N  2W
  4.008  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
  4.009  MATH         L[1] = (L[1] * SQRT(2)) / 1E-3
  4.010  ACC          312.50mVpp     L1U
  4.011  MATH         L[2] = ((312.5 * 0.0035) + (312.5 * 0.0037)) / SQRT(2)
  4.012  MATH         MEM = (MEM * SQRT(2)) / 1E-3
  4.013  MEMCX  400   312.50mVpp     L2U           1kH

  5.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 0.23438 Vpp
  5.002  IEEE         APPLY ACV .23438
  5.003  TARGET       -m
  5.004  8508         0.16570V                     1kH                  N  2W
  5.005  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
  5.006  MATH         L[1] = (L[1] * SQRT(2)) / 1E-3
  5.007  ACC          234.38mVpp     L1U
  5.008  MATH         L[2] = ((234.38 * 0.0035) + (312.5 * 0.0037)) / SQRT(2)
  5.009  MATH         MEM = (MEM * SQRT(2)) / 1E-3
  5.010  MEMCX  400   234.38mVpp     L2U           1kH

  6.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 0.15625 Vpp
  6.002  IEEE         APPLY ACV .15625
  6.003  TARGET       -m
  6.004  8508         0.11047V                     1kH                  N  2W
  6.005  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
  6.006  MATH         L[1] = (L[1] * SQRT(2)) / 1E-3
  6.007  ACC          156.25mVpp     L1U
  6.008  MATH         L[2] = ((156.25 * 0.0035) + (312.5 * 0.0037)) / SQRT(2)
  6.009  MATH         MEM = (MEM * SQRT(2)) / 1E-3
  6.010  MEMCX  400   156.25mVpp     L2U           1kH

  7.001  RSLT         =
  7.002  RSLT         = 0.625 V Range
  7.003  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 0.625 Vpp
  7.004  TARGET       -p
  7.005  IEEE         RANGE .625;APPLY ACV .625
  7.006  TARGET       -m
  7.007  8508         0.44188V                     1kH                  N  2W
  7.008  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
  7.009  MATH         L[1] = (L[1] * SQRT(2)) / 1E-3
  7.010  ACC          625.00mVpp     L1U
  7.011  MATH         L[2] = ((625 * 0.0035) + (625 * 0.0037)) / SQRT(2)
  7.012  MATH         MEM = (MEM * SQRT(2)) / 1E-3
  7.013  MEMCX  800   625.00mVpp     L2U           1kH

  8.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 0.46875 Vpp
  8.002  IEEE         APPLY ACV .46875
  8.003  TARGET       -m
  8.004  8508         0.33141V                     1kH                  N  2W
  8.005  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
  8.006  MATH         L[1] = (L[1] * SQRT(2)) / 1E-3
  8.007  ACC          468.75mVpp     L1U
  8.008  MATH         L[2] = ((468.75 * 0.0035) + (625 * 0.0037)) / SQRT(2)
  8.009  MATH         MEM = (MEM * SQRT(2)) / 1E-3
  8.010  MEMCX  800   468.75mVpp     L2U           1kH

  9.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 0.3125 Vpp
  9.002  IEEE         APPLY ACV .3125
  9.003  TARGET       -m
  9.004  8508         0.22094V                     1kH                  N  2W
  9.005  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
  9.006  MATH         L[1] = (L[1] * SQRT(2)) / 1E-3
  9.007  ACC          312.50mVpp     L1U
  9.008  MATH         L[2] = ((312.5 * 0.0035) + (625 * 0.0037)) / SQRT(2)
  9.009  MATH         MEM = (MEM * SQRT(2)) / 1E-3
  9.010  MEMCX  800   312.50mVpp     L2U           1kH

 10.001  RSLT         =
 10.002  RSLT         = 1.25 V Range
 10.003  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 1.25 Vpp
 10.004  TARGET       -p
 10.005  IEEE         RANGE 1.25;APPLY ACV 1.25
 10.006  TARGET       -m
 10.007  8508         0.88375V                     1kH                  N  2W
 10.008  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 10.009  MATH         L[1] = L[1] * SQRT(2)
 10.010  ACC          1.25000Vpp     L1U
 10.011  MATH         L[2] = ((1.25 * 0.0035) + (1.25 * 0.0037)) / SQRT(2)
 10.012  MATH         MEM = MEM * SQRT(2)
 10.013  MEMCX  1.25  1.25000Vpp     L2U           1kH

 11.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 0.9375 Vpp
 11.002  TARGET       -p
 11.003  IEEE         APPLY ACV 0.9375
 11.004  TARGET       -m
 11.005  8508         0.66281V                     1kH                  N  2W
 11.006  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 11.007  MATH         L[1] = L[1] * SQRT(2)
 11.008  ACC          0.93750Vpp     L1U
 11.009  MATH         L[2] = ((0.9375 * 0.0035) + (1.25 * 0.0037)) / SQRT(2)
 11.010  MATH         MEM = MEM * SQRT(2)
 11.011  MEMCX  1.25  0.93750Vpp     L2U           1kH

 12.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 0.625 Vpp
 12.002  TARGET       -p
 12.003  IEEE         APPLY ACV 0.625
 12.004  TARGET       -m
 12.005  8508         0.44188V                     1kH                  N  2W
 12.006  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 12.007  MATH         L[1] = L[1] * SQRT(2)
 12.008  ACC          0.62500Vpp     L1U
 12.009  MATH         L[2] = ((0.625 * 0.0035) + (1.25 * 0.0037)) / SQRT(2)
 12.010  MATH         MEM = MEM * SQRT(2)
 12.011  MEMCX  1.25  0.62500Vpp     L2U           1kH

 13.001  RSLT         =
 13.002  RSLT         = 2.5 V Range
 13.003  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 2.5 Vpp
 13.004  TARGET       -p
 13.005  IEEE         RANGE 2.5;APPLY ACV 2.5
 13.006  TARGET       -m
 13.007  8508         1.76750V                     1kH                  N  2W
 13.008  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 13.009  MATH         L[1] = L[1] * SQRT(2)
 13.010  ACC          2.50000Vpp     L1U
 13.011  MATH         L[2] = ((2.5 * 0.0035) + (2.5 * 0.0037)) / SQRT(2)
 13.012  MATH         MEM = MEM * SQRT(2)
 13.013  MEMCX  2.5   2.50000Vpp     L2U           1kH

 14.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 1.875 Vpp
 14.002  TARGET       -p
 14.003  IEEE         APPLY ACV 1.875
 14.004  TARGET       -m
 14.005  8508         0.66281V                     1kH                  N  2W
 14.006  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 14.007  MATH         L[1] = L[1] * SQRT(2)
 14.008  ACC          1.87500Vpp     L1U
 14.009  MATH         L[2] = ((1.875 * 0.0035) + (2.5 * 0.0037)) / SQRT(2)
 14.010  MATH         MEM = MEM * SQRT(2)
 14.011  MEMCX  2.5   1.87500Vpp     L2U           1kH

 15.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 1.25 Vpp
 15.002  TARGET       -p
 15.003  IEEE         APPLY ACV 1.25
 15.004  TARGET       -m
 15.005  8508         0.88375V                     1kH                  N  2W
 15.006  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 15.007  MATH         L[1] = L[1] * SQRT(2)
 15.008  ACC          1.25000Vpp     L1U
 15.009  MATH         L[2] = ((1.25 * 0.0035) + (2.5 * 0.0037)) / SQRT(2)
 15.010  MATH         MEM = MEM * SQRT(2)
 15.011  MEMCX  2.5   1.25000Vpp     L2U           1kH

 16.001  RSLT         =
 16.002  RSLT         = 5 V Range
 16.003  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 5 Vpp
 16.004  TARGET       -p
 16.005  IEEE         RANGE 5;APPLY ACV 5
 16.006  TARGET       -m
 16.007  8508         3.53550V                     1kH                  N  2W
 16.008  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 16.009  MATH         L[1] = L[1] * SQRT(2)
 16.010  ACC          5.0000Vpp      L1U
 16.011  MATH         L[2] = ((5 * 0.0035) + (5 * 0.0037)) / SQRT(2)
 16.012  MATH         MEM = MEM * SQRT(2)
 16.013  MEMCX  5     5.0000Vpp      L2U           1kH

 17.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 3.75 Vpp
 17.002  TARGET       -p
 17.003  IEEE         APPLY ACV 3.75
 17.004  TARGET       -m
 17.005  8508         2.65125V                     1kH                  N  2W
 17.006  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 17.007  MATH         L[1] = L[1] * SQRT(2)
 17.008  ACC          3.7500Vpp      L1U
 17.009  MATH         L[2] = ((3.75 * 0.0035) + (5 * 0.0037)) / SQRT(2)
 17.010  MATH         MEM = MEM * SQRT(2)
 17.011  MEMCX  5     3.7500Vpp      L2U           1kH

 18.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 2.5 Vpp
 18.002  TARGET       -p
 18.003  IEEE         APPLY ACV 2.5
 18.004  TARGET       -m
 18.005  8508         1.76750V                     1kH                  N  2W
 18.006  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 18.007  MATH         L[1] = L[1] * SQRT(2)
 18.008  ACC          2.5000Vpp      L1U
 18.009  MATH         L[2] = ((2.5 * 0.0035) + (5 * 0.0037)) / SQRT(2)
 18.010  MATH         MEM = MEM * SQRT(2)
 18.011  MEMCX  5     2.5000Vpp      L2U           1kH

 19.001  RSLT         =
 19.002  RSLT         = 10 V Range
 19.003  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 10 Vpp
 19.004  TARGET       -p
 19.005  IEEE         RANGE 10;APPLY ACV 10
 19.006  TARGET       -m
 19.007  8508         7.0710V                      1kH                  N  2W
 19.008  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 19.009  MATH         L[1] = L[1] * SQRT(2)
 19.010  ACC          10.000Vpp      L1U
 19.011  MATH         L[2] = ((10 * 0.0035) + (10 * 0.0037)) / SQRT(2)
 19.012  MATH         MEM = MEM * SQRT(2)
 19.013  MEMCX  10    10.000Vpp      L2U           1kH

 20.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 7.5 Vpp
 20.002  TARGET       -p
 20.003  IEEE         APPLY ACV 7.5
 20.004  TARGET       -m
 20.005  8508         5.3033V                      1kH                  N  2W
 20.006  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 20.007  MATH         L[1] = L[1] * SQRT(2)
 20.008  ACC          7.500Vpp       L1U
 20.009  MATH         L[2] = ((7.5 * 0.0035) + (10 * 0.0037)) / SQRT(2)
 20.010  MATH         MEM = MEM * SQRT(2)
 20.011  MEMCX  10    7.500Vpp       L2U           1kH

 21.001  HEAD         AC VOLTS (Vpp), SINE WAVE (Channel [S6]): 5 Vpp
 21.002  TARGET       -p
 21.003  IEEE         APPLY ACV 5
 21.004  TARGET       -m
 21.005  8508         3.5355V                      1kH                  N  2W
 21.006  MATH         L[1] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
 21.007  MATH         L[1] = L[1] * SQRT(2)
 21.008  ACC          5.000Vpp       L1U
 21.009  MATH         L[2] = ((5 * 0.0035) + (10 * 0.0037)) / SQRT(2)
 21.010  MATH         MEM = MEM * SQRT(2)
 21.011  MEMCX  10    5.000Vpp       L2U           1kH
 22.001  JMPL         END

 22.002  LABEL        ACV_OFFSET
 22.003  RSLT         =
 22.004  RSLT         =Channel [S6]
 22.005  RSLT         =
 22.006  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): -5 V
 22.007  TARGET       -p
 22.008  IEEE         IMP 50;APPLY ACV 5;FREQ 600;DCOFF -2.5
 22.009  MATH         L[3] = 2 * ((2.5 * 0.0035) + (10 * 0.0037))
 22.010  TOL          L3U
 22.011  TARGET       -m
 22.012  8508   5     -5.00000V      TOL                                   2W

 23.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): +5 V
 23.002  IEEE         DCOFF 2.5
 23.003  TARGET       -m
 23.004  8508   5     5.00000V       TOL                                   2W

 24.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): -2.5 V
 24.002  IEEE         APPLY ACV 2.5;DCOFF -1.25
 24.003  MATH         L[3] = 2 * ((1.25 * 0.0035) + (5 * 0.0037))
 24.004  TOL          L3U
 24.005  TARGET       -m
 24.006  8508   5     -2.50000V      TOL                                   2W

 25.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): +2.5 V
 25.002  IEEE         DCOFF 1.25
 25.003  TARGET       -m
 25.004  8508   5     2.50000V       TOL                                   2W

 26.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): -1.25 V
 26.002  IEEE         APPLY ACV 1.25;DCOFF -.625
 26.003  MATH         L[3] = 2 * ((0.625 * 0.0035) + (2.5 * 0.0037))
 26.004  TOL          L3U
 26.005  TARGET       -m
 26.006  8508   1     -1.250000V     TOL                                   2W

 27.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): +1.25 V
 27.002  IEEE         DCOFF .625
 27.003  TARGET       -m
 27.004  8508   1     1.250000V      TOL                                   2W

 28.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): -0.625 V
 28.002  IEEE         APPLY ACV .625;DCOFF -.3125
 28.003  MATH         L[3] = 2 * ((0.3125 * 0.0035) + (1.25 * 0.0037))
 28.004  TOL          L3U
 28.005  TARGET       -m
 28.006  8508   1     -0.625000V     TOL                                   2W

 29.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): +0.625 V
 29.002  IEEE         DCOFF .3125
 29.003  TARGET       -m
 29.004  8508   1     0.625000V      TOL                                   2W

 30.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): -312.5 mV
 30.002  IEEE         APPLY ACV .3125;DCOFF -.15625
 30.003  MATH         L[3] = 2 * ((156.25 * 0.0035) + (625 * 0.0037))
 30.004  TOL          L3U
 30.005  TARGET       -m
 30.006  8508   400   -312.500mV     TOL                                   2W

 31.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): +312.5 mV
 31.002  IEEE         DCOFF .15625
 31.003  TARGET       -m
 31.004  8508   400   312.500mV      TOL                                   2W

 32.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): -156.25 mV
# Lock 8508A on 2 V range to avoid overdriving input buffer on 200 mV range.
 32.002  M8508  RNGLK 2V
 32.003  IEEE         APPLY ACV .15625;DCOFF -.078125
 32.004  MATH         L[3] = 2 * ((78.125 * 0.0035) + (312.5 * 0.0037))
 32.005  TOL          L3U
 32.006  TARGET       -m
 32.007  8508   400   -156.250mV     TOL                                   2W

 33.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): +156.25 mV
 33.002  IEEE         DCOFF .078125
 33.003  TARGET       -m
 33.004  8508   400   156.250mV      TOL                                   2W
 34.001  M8508        *

 34.002  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): -78.125 mV
 34.003  IEEE         APPLY ACV .078125;DCOFF -.0390625
 34.004  MATH         L[3] = 2 * ((39.0625 * 0.0035) + (156.25 * 0.0037))
 34.005  TOL          L3U
 34.006  TARGET       -m
 34.007  8508   400   -78.125mV      TOL                                   2W

 35.001  HEAD         AC VOLTS, OFFSET ACCURACY (Channel [S6]): +78.125 mV
 35.002  IEEE         DCOFF .0390625
 35.003  TARGET       -m
 35.004  8508   400   78.125mV       TOL                                   2W
 36.001  JMPL         END

 36.002  LABEL        ACV_SQUARE_VOLTS
 36.003  RSLT         =
 36.004  RSLT         =Channel [S6]
 36.005  RSLT         =
 36.006  RSLT         = 0.15625 V Range
 36.007  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 156.25 mVrms
 36.008  IEEE         IMP 50
 36.009  IEEE         RANGE .15625;APPLY SQV .15625
 36.010  MATH         L[1] = (156.25 * 0.0039) + (156.25 * 0.0056)
 36.011  8508   200   156.25mV       L1U           1kH                     2W

 37.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 117.19 mVrms
 37.002  IEEE         APPLY SQV .11719
 37.003  MATH         L[1] = (117.19 * 0.0039) + (156.25 * 0.0056)
 37.004  8508   200   117.19mV       L1U           1kH                     2W

 38.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 78.13 mVrms
 38.002  IEEE         APPLY SQV .07813
 38.003  MATH         L[1] = (78.13 * 0.0039) + (156.25 * 0.0056)
 38.004  8508   200   78.13mV        L1U           1kH                     2W

 39.001  RSLT         =
 39.002  RSLT         = 0.3125 V Range
 39.003  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 312.5 mVrms
 39.004  IEEE         RANGE .3125;APPLY SQV .3125
 39.005  MATH         L[1] = (312.5 * 0.0039) + (312.5 * 0.0056)
 39.006  8508   400   312.50mV       L1U           1kH                     2W

 40.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 234.38 mVrms
 40.002  IEEE         APPLY SQV .23438
 40.003  MATH         L[1] = (234.38 * 0.0039) + (312.5 * 0.0056)
 40.004  8508   400   234.38mV       L1U           1kH                     2W

 41.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 156.25 mVrms
 41.002  IEEE         APPLY SQV .15625
 41.003  MATH         L[1] = (156.25 * 0.0039) + (312.5 * 0.0056)
 41.004  8508   400   156.25mV       L1U           1kH                     2W

 42.001  RSLT         =
 42.002  RSLT         = 0.625 V Range
 42.003  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 625 mVrms
 42.004  IEEE         RANGE .625;APPLY SQV .625
 42.005  MATH         L[1] = (625 * 0.0039) + (625 * 0.0056)
 42.006  8508   800   625.00mV       L1U           1kH                     2W

 43.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 468.75 mVrms
 43.002  IEEE         APPLY SQV .46875
 43.003  MATH         L[1] = (468.75 * 0.0039) + (625 * 0.0056)
 43.004  8508   800   468.75mV       L1U           1kH                     2W

 44.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 312.5 mVrms
 44.002  IEEE         APPLY SQV .3125
 44.003  MATH         L[1] = (312.5 * 0.0039) + (625 * 0.0056)
 44.004  8508   800   312.50mV       L1U           1kH                     2W

 45.001  RSLT         =
 45.002  RSLT         = 1.25 V Range
 45.003  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 1.25 Vrms
 45.004  IEEE         RANGE 1.25;APPLY SQV 1.25
 45.005  8508   1.25  1.25000V       0.39% 0.56/   1kH                     2W

 46.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 0.9375 Vrms
 46.002  IEEE         APPLY SQV .9375
 46.003  8508   1.25  0.93750V       0.39% 0.56/   1kH                     2W

 47.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 0.625 Vrms
 47.002  IEEE         APPLY SQV .625
 47.003  8508   1.25  0.62500V       0.39% 0.56/   1kH                     2W

 48.001  RSLT         =
 48.002  RSLT         = 2.5 V Range
 48.003  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 2.5 Vrms
 48.004  IEEE         RANGE 2.5;APPLY SQV 2.5
 48.005  8508   2.5   2.50000V       0.39% 0.56/   1kH                     2W

 49.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 1.875 Vrms
 49.002  IEEE         APPLY SQV 1.875
 49.003  8508   2.5   1.87500V       0.39% 0.56/   1kH                     2W

 50.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 1.25 Vrms
 50.002  IEEE         APPLY SQV 1.25
 50.003  8508   2.5   1.25000V       0.39% 0.56/   1kH                     2W

 51.001  RSLT         =
 51.002  RSLT         = 5 V Range
 51.003  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 5 Vrms
 51.004  IEEE         RANGE 5;APPLY SQV 5
 51.005  8508   5     5.0000V        0.39% 0.56/   1kH                     2W

 52.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 3.75 Vrms
 52.002  IEEE         APPLY SQV 3.75
 52.003  8508   5     3.7500V        0.39% 0.56/   1kH                     2W

 53.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 2.5 Vrms
 53.002  IEEE         APPLY SQV 2.5
 53.003  8508   5     2.5000V        0.39% 0.56/   1kH                     2W

 54.001  RSLT         =
 54.002  RSLT         = 10 V Range
 54.003  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 10 Vrms
 54.004  IEEE         RANGE 10;APPLY SQV 10
 54.005  8508   10    10.000V        0.39% 0.56/   1kH                     2W

 55.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 7.5 Vrms
 55.002  IEEE         APPLY SQV 7.5
 55.003  8508   10    7.500V         0.39% 0.56/   1kH                     2W

 56.001  HEAD         AC VOLTS, SQUARE WAVE (Channel [S6]): 5 Vrms
 56.002  IEEE         APPLY SQV 5
 56.003  8508   10    5.000V         0.39% 0.56/   1kH                     2W
 57.001  JMPL         END

 57.002  LABEL        ACV_SINE_FLAT
 57.003  ASK-                              U
 57.004  RSLT         =
 57.005  RSLT         =Channel [S6]
 57.006  RSLT         =
 57.007  TARGET       -p
 57.008  IEEE         IMP 50;FREQ 1E3;APPLY ACV 10
 57.009  HEAD         SINE WAVE FLATNESS (Channel [S6]): 1 kHz Reference
 57.010  8508         7.071V                       1kH               D6 N  2W
# Store value (converted to dBm) at reference frequency.
 57.011  MATH         L[1] = VTODBM(MEM, 50.0)
# Retrieve 8508A uncertainty at reference frequency.
 57.012  MATH         L[2] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+3)
# Retrieve 8508A confidence and normalize uncertainty at reference frequency.
 57.013  MATH         L[3] = CONF("Fluke 8508A") ; L[2] = L[2] / L[3]

 57.014  HEAD         SINE WAVE FLATNESS (Channel [S6]): 3 kHz
 57.015  IEEE         FREQ 3E+3
 57.016  TARGET       -m
 57.017  8508         7.071V                       3kH               D6 N  2W
# Retrieve 8508A uncertainty at test frequency.
 57.018  MATH         L[4] = ACCV2("Fluke 8508A", "Volts D6", MEM, 3E+3)
# Normalize uncertainty at test frequency.
 57.019  MATH         L[4] = L[4] / L[3]
# Compute combined uncertainty of reference and test measurements.
 57.020  MATH         L[5] = (RSS_L(3, 4)) * 2
 57.021  ACC          0.00dB         L5U
# Compute measured deviation (in dB) from reference level.
 57.022  MATH         MEM = (VTODBM(MEM, 50.0)) - L[1]
 57.023  MEMC         0.00dB         0.07U         3kH

 58.001  HEAD         SINE WAVE FLATNESS (Channel [S6]): 10 kHz
 58.002  IEEE         FREQ 10E+3
 58.003  8508         7.071V                       10kH              D6 N  2W
 58.004  MATH         L[4] = ACCV2("Fluke 8508A", "Volts D6", MEM, 10E+3)
 58.005  MATH         L[4] = L[4] / L[3]
 58.006  MATH         L[5] = (RSS_L(3, 4)) * 2
 58.007  ACC          0.00dB         L5U
 58.008  MATH         MEM = (VTODBM(MEM, 50.0)) - L[1]
 58.009  MEMC         0.00dB         0.07U         10kH

 59.001  HEAD         SINE WAVE FLATNESS (Channel [S6]): 30 kHz
 59.002  IEEE         FREQ 30E+3
 59.003  8508         7.071V                       30kH              D6 N  2W
 59.004  MATH         L[4] = ACCV2("Fluke 8508A", "Volts D6", MEM, 30E+3)
 59.005  MATH         L[4] = L[4] / L[3]
 59.006  MATH         L[5] = (RSS_L(3, 4)) * 2
 59.007  ACC          0.00dB         L5U
 59.008  MATH         MEM = (VTODBM(MEM, 50.0)) - L[1]
 59.009  MEMC         0.00dB         0.07U         30kH

 60.001  HEAD         SINE WAVE FLATNESS (Channel [S6]): 100 kHz
 60.002  IEEE         FREQ 100E+3
 60.003  8508         7.071V                       100kH             D6 N  2W
 60.004  MATH         L[4] = ACCV2("Fluke 8508A", "Volts D6", MEM, 100E+3)
 60.005  MATH         L[4] = L[4] / L[3]
 60.006  MATH         L[5] = (RSS_L(3, 4)) * 2
 60.007  ACC          0.00dB         L5U
 60.008  MATH         MEM = (VTODBM(MEM, 50.0)) - L[1]
 60.009  MEMC         0.00dB         0.20U         100kH

 61.001  HEAD         SINE WAVE FLATNESS (Channel [S6]): 300 kHz
 61.002  IEEE         FREQ 300E+3
 61.003  8508         7.071V                       300kH             D6 N  2W
 61.004  MATH         L[4] = ACCV2("Fluke 8508A", "Volts D6", MEM, 300E+3)
 61.005  MATH         L[4] = L[4] / L[3]
 61.006  MATH         L[5] = (RSS_L(3, 4)) * 2
 61.007  ACC          0.00dB         L5U
 61.008  MATH         MEM = (VTODBM(MEM, 50.0)) - L[1]
 61.009  MEMC         0.00dB         0.60U         300kH

 62.001  HEAD         SINE WAVE FLATNESS (Channel [S6]): 1 MHz
 62.002  IEEE         FREQ 1E+6
 62.003  8508         7.071V                       1MH               D6 N  2W
 62.004  MATH         L[4] = ACCV2("Fluke 8508A", "Volts D6", MEM, 1E+6)
 62.005  MATH         L[4] = L[4] / L[3]
 62.006  MATH         L[5] = (RSS_L(3, 4)) * 2
 62.007  ACC          0.00dB         L5U
 62.008  MATH         MEM = (VTODBM(MEM, 50.0)) - L[1]
 62.009  MEMC         0.00dB         2.00U         1MH
 63.001  ASK+                              U

 63.002  LABEL        END
 63.003  8508         *                                                 S
 63.004  END

